# Wobble

Some hacky Python code I slapped together to show speed and cadence
data from a Bluetooth LE bike sensor.

Perhaps useful if you have a stationary bike of some kind and want to
put the vital statistics on a big screen instead of on your handlebar.

![screenshot](20221209_22h46m07s_grim.png)

## How to use

First you need to identify bluetooth address of your bike sensor(s).
Spin the wheel to wake it up, then run

```sh
$ bluetoothctl scan on
Discovery started
[CHG] Controller 24:FD:52:00:ED:F1 Discovering: yes
[NEW] Device C2:35:5D:F2:F4:0F  Giant Combo
[CHG] Device 98:06:3A:15:B7:BA RSSI: -82
^C
$ bluetoothctl connect C2:35:5D:F2:F4:0F
```

Now you can start the app

```sh
$ python wobble.py C2:35:5D:F2:F4:0F
``` 